Create Access Key
curl --request POST \
--url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/keys \
--header 'Content-Type: application/json' \
--header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>' \
--data '
{
"is_active": true,
"name": "Developer Access Key"
}
'import requests
url = "https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/keys"
payload = {
"is_active": True,
"name": "Developer Access Key"
}
headers = {
"X-SFPY-AGGREGATOR-SECRET-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-SFPY-AGGREGATOR-SECRET-KEY': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({is_active: true, name: 'Developer Access Key'})
};
fetch('https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "v1",
"data": {
"id": "ak_cf0f7821-32f5-4c66-8e86-0d5e2bb8b6b9",
"token": "ak_tok_b758ad9a",
"key_id": "key_live_a31b23f0",
"aggregator_id": "agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e",
"is_active": true,
"name": "Developer Access Key",
"secret": "sk_live_GZc5k9mT0n",
"created_at": "2025-05-19T11:19:12.000Z",
"updated_at": "2025-05-19T11:19:12.000Z"
}
}{
"api_version": "v1",
"error": {
"code": "error.unauthorized_access",
"message": "partner access key is required in request header"
}
}{
"api_version": "v1",
"error": {
"code": "error.internal_server_error",
"message": "rpc error code Internal desc = something went wrong"
}
}Access Keys
Create Access Key
Create an access key to access Safepay’s Raast APIs
POST
/
v1
/
aggregators
/
{raast-aggregator-id}
/
keys
Create Access Key
Authorizations
Path Parameters
The unique identifier for the aggregator
Example:
"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"
Body
application/json
Request to create a new access key
Was this page helpful?
⌘I